Bug 772742 - DB upgrade gives "All Resources Role" an unintended permission
DB upgrade gives "All Resources Role" an unintended permission
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
4.2
All All
high Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10 785987
  Show dependency treegraph
 
Reported: 2012-01-09 15:36 EST by Jay Shaughnessy
Modified: 2013-08-31 06:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 785987 (view as bug list)
Environment:
Last Closed: 2013-08-31 06:09:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
All Resources JON 2.4.2 (56.66 KB, image/png)
2012-02-09 11:56 EST, Mike Foley
no flags Details
All Resources JON 3.01 (99.34 KB, image/png)
2012-02-09 11:57 EST, Mike Foley
no flags Details

  None (edit)
Description Jay Shaughnessy 2012-01-09 15:36:57 EST
Upgrades to RHQ 4.3 mistakenly granted manage_repository perm to
'All Resources Role'.
Comment 2 Jay Shaughnessy 2012-01-09 15:48:18 EST
master commit c6706aed03df889e23102ea254b2d342141d8b9b

Fix the upgrade step that grants the bad permission. And add a new
step to revoke it if it exists.
Comment 3 Charles Crouch 2012-01-31 18:47:07 EST
Commits for this BZ went into master so setting target release to RHQ4.3
Comment 4 Mike Foley 2012-02-09 11:54:52 EST
documenting the verification with screenshots of role permissions in JON 2.4.2 upgraded to JON 3.01
Comment 5 Mike Foley 2012-02-09 11:56:53 EST
Created attachment 560662 [details]
All Resources JON 2.4.2
Comment 6 Mike Foley 2012-02-09 11:57:30 EST
Created attachment 560663 [details]
All Resources JON 3.01
Comment 7 Mike Foley 2012-02-09 12:15:54 EST
i logged this new BZ as part of the verification process

https://bugzilla.redhat.com/show_bug.cgi?id=789069
Comment 8 Heiko W. Rupp 2013-08-31 06:09:19 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.